> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wireless connectivity logs

> This API allows listing a paginated collection of Wireless Connectivity Logs associated with a SIM Card, for troubleshooting purposes.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-monitoring.yml get /sim_cards/{id}/wireless_connectivity_logs
openapi: 3.1.0
info:
  title: SIM Cards Monitoring API
  version: 2.0.0
  description: >-
    SIM card monitoring including wireless connectivity logs, detail records
    reports, and OTA updates.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_cards/{id}/wireless_connectivity_logs:
    get:
      tags:
        - SIM Cards
      summary: List wireless connectivity logs
      description: >-
        This API allows listing a paginated collection of Wireless Connectivity
        Logs associated with a SIM Card, for troubleshooting purposes.
      operationId: GetWirelessConnectivityLogs
      parameters:
        - $ref: '#/components/parameters/wireless_PageNumber'
        - $ref: '#/components/parameters/wireless_PageSize'
        - $ref: '#/components/parameters/SIMCardId'
      responses:
        '200':
          $ref: '#/components/responses/WirelessConnectivityLogCollectionResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const simCardListWirelessConnectivityLogsResponse of
            client.simCards.listWirelessConnectivityLogs(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            )) {
              console.log(simCardListWirelessConnectivityLogsResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.sim_cards.list_wireless_connectivity_logs(
                id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.SimCards.ListWirelessConnectivityLogs(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.SimCardListWirelessConnectivityLogsParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.simcards.SimCardListWirelessConnectivityLogsPage;

            import
            com.telnyx.sdk.models.simcards.SimCardListWirelessConnectivityLogsParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SimCardListWirelessConnectivityLogsPage page = client.simCards().listWirelessConnectivityLogs("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.sim_cards.list_wireless_connectivity_logs("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->simCards->listWirelessConnectivityLogs(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58', pageNumber: 1, pageSize: 1
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx sim-cards list-wireless-connectivity-logs \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    wireless_PageNumber:
      name: page[number]
      in: query
      description: The page number to load.
      schema:
        type: integer
        minimum: 1
        default: 1
    wireless_PageSize:
      name: page[size]
      in: query
      description: The size of the page.
      schema:
        type: integer
        minimum: 1
        maximum: 250
        default: 20
    SIMCardId:
      name: id
      description: Identifies the SIM.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    WirelessConnectivityLogCollectionResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/WirelessConnectivityLog'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    WirelessConnectivityLog:
      type: object
      title: WirelessConnectivityLog
      description: >-
        This object represents a wireless connectivity session log that happened
        through a SIM card. It aids in finding out potential problems when the
        SIM is not able to attach properly.
      properties:
        record_type:
          type: string
          example: wireless_connectivity_log
          readOnly: true
        id:
          type: integer
          example: 137509451
          description: Uniquely identifies the session.
          readOnly: true
        sim_card_id:
          type: string
          format: uuid
          description: The identification UUID of the related SIM card resource.
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        log_type:
          type: string
          enum:
            - registration
            - data
          example: registration
          description: >-
            The type of the session, 'registration' being the initial
            authentication session and 'data' the actual data transfer sessions.
          readOnly: true
        imsi:
          type: string
          description: >
            SIM cards are identified on their individual network operators by a
            unique International Mobile Subscriber Identity (IMSI). <br/>

            Mobile network operators connect mobile phone calls and communicate
            with their market SIM cards using their IMSIs. The IMSI is stored in
            the Subscriber  Identity Module (SIM) inside the device and is sent
            by the device to the appropriate network. It is used to acquire the
            details of the device in the Home  Location Register (HLR) or the
            Visitor Location Register (VLR).
          readOnly: true
          example: '081932214823362973'
        imei:
          type: string
          description: >-
            The International Mobile Equipment Identity (or IMEI) is a number,
            usually unique, that identifies the device currently being used
            connect to the network.
          readOnly: true
          example: '490154203237518'
        mobile_country_code:
          type: string
          description: >-
            It's a three decimal digit that identifies a country.<br/><br/>

            This code is commonly seen joined with a Mobile Network Code (MNC)
            in a tuple that allows identifying a carrier known as PLMN (Public
            Land Mobile Network) code.
          readOnly: true
          example: '310'
        mobile_network_code:
          type: string
          description: >-
            It's a two to three decimal digits that identify a
            network.<br/><br/>
             This code is commonly seen joined with a Mobile Country Code (MCC) in a tuple that allows identifying a carrier known as PLMN (Public Land Mobile Network) code.
          readOnly: true
          example: '410'
        start_time:
          type: string
          description: ISO 8601 formatted date-time indicating when the session started.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        stop_time:
          type: string
          description: ISO 8601 formatted date-time indicating when the session ended.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        created_at:
          type: string
          description: ISO 8601 formatted date-time indicating when the record was created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        last_seen:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the last heartbeat to
            the device was successfully recorded.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        apn:
          type: string
          description: >-
            The Access Point Name (APN) identifies the packet data network that
            a mobile data user wants to communicate with.
          readOnly: true
          example: data00.telnyx
        ipv4:
          type: string
          description: >
            The SIM's address in the currently connected network. This IPv4
            address is usually obtained dynamically, so it may vary according to
            the location or new connections.
          readOnly: true
          example: 192.168.0.0
        ipv6:
          type: string
          description: >
            The SIM's address in the currently connected network. This IPv6
            address is usually obtained dynamically, so it may vary according to
            the location or new connections.
          readOnly: true
          example: 2001:cdba:0000:0000:0000:0000:3257:9652
        radio_access_technology:
          type: string
          description: The radio technology the SIM card used during the session.
          readOnly: true
          example: LTE
        state:
          type: string
          description: The state of the SIM card after when the session happened.
          readOnly: true
          example: provisioned
        cell_id:
          type: string
          description: The cell ID to which the SIM connected.
          readOnly: true
          example: 311210-6813
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````